package com.fp.hbm.bgenerator;

/*
import com.fp.dto.BeanGeneratorRequest;
import com.fp.dto.Response;
import com.fp.server.facade.AbstractOperation;
*/
public class BeanGenerateOperation {
	//TODO  manejo de request y generacion de beans
}
/**
public class BeanGenerateOperation extends AbstractOperation{
    private BeanGeneratorRequest qRequest;
	@Override
	public Response execute() throws Throwable {
		qRequest=(BeanGeneratorRequest)this.getRequest();
		MappingType t = MappingType.find(qRequest.getType().toUpperCase());
		HBMapper mapper = new HBMapper(qRequest.getPackageName(), t, qRequest.getTables());
		mapper.setPath(qRequest.getPath());
		mapper.setSoucePath(qRequest.getSoucePath());
		mapper.setXmlPath(qRequest.getXmlPath());
		Response res=new Response(Response.SUCCESS,"TRANSACCION REALIZADA SATISFACTORIAMENTE");
		res.put("bgresponse", mapper.process());
		return res;
	}

} **/
